/**
 * Index page styles
 */
.mission__text {
  font-size: 2rem;
  line-height: 1.2;
  margin-block: 0;
}

.mission__about-box {
  margin-top: 6rem;
  display: flex;
  gap: 6rem;

  padding-block: 3.5rem;
  padding-left: 3rem;
  padding-right: 6rem;
}

.mission__about-text {
  font-size: 1.375rem;
}

.mission__about-text > p {
  margin-block: 0;
}

.mission__about-text > p + p {
  margin-top: 1em;
}

.mission__about-person {
  color: var(--brand-color);
  white-space: nowrap;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.mission__about-portrait {
  background-color: #dfe2e4;
  transform: scaleX(-1);

  width: 8rem;
  height: 8rem;

  border-radius: 50%;
}

.mission__about-name {
  font-size: 1.5rem;
  line-height: 1.2;
  font-weight: 800;
  margin-bottom: 0.5rem;
}

.mission__about-position {
  font-size: 1.25rem;
}

@media (max-width: 50em) {
  .mission__text {
    font-size: 1rem;
  }

  .mission__about-text {
    font-size: 0.875rem;
  }

  .mission__about-box {
    margin-top: 1.5rem;
    padding: 1.5rem 1rem;
    border-radius: 0.625rem;
    flex-direction: column;
    gap: 1rem;
  }

  .mission__about-portrait {
    width: 5rem;
    height: 5rem;
  }

  .mission__about-name {
    font-size: 1rem;
  }

  .mission__about-position {
    font-size: 0.875rem;
  }
}

.tasks {
  font-size: 1.5rem;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2.5rem 4.375rem;
  margin-top: 3.75rem;

  --icon-accent: var(--brand-color);
}

.task {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 1.5rem;
}

.task__icon {
  width: 3.75rem;
  height: 3.75rem;
}

.task__icon > rect {
  fill: #f5f5f5;
}

.task__icon > rect:first-child {
  fill: var(--icon-accent);
}

.task:nth-child(2) .task__icon {
  --icon-accent: var(--button-bg-color);
  transform: rotate(90deg);
}

.task:nth-child(3) .task__icon {
  --icon-accent: var(--button-bg-color);
  transform: rotate(-90deg);
}

.task:nth-child(4) .task__icon {
  transform: rotate(180deg);
}

@media (max-width: 50em) {
  .tasks {
    margin-top: 1rem;
    font-size: 0.875rem;
    grid-template-columns: 1fr;
    gap: 1.5rem 0;
  }

  .task {
    gap: 1rem;
  }

  .task__icon {
    width: 2rem;
    height: 2rem;
  }
}

.project {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-areas:
    "content image"
    "content cards";
  gap: 2.5rem;
}

.project + .project {
  margin-top: 4.6875rem;
}

.project__content {
  grid-area: content;
  padding: 3.125rem;
}

.project__header {
  font-size: 3.125rem;
  line-height: 1;
  font-weight: 700;
  margin-block: 0;

  display: flex;
  align-items: center;
  gap: 1.5rem;
}

.project--pr .project__header {
  flex-direction: column;
  align-items: flex-start;
}

.project__icon-box {
  font-size: 5rem;
  background-color: var(--invert-text-color);
  width: 1em;
  height: 1em;
  border-radius: 50%;
  flex: none;

  display: grid;
  place-content: center;
}

.project__icon-box > img {
  width: 0.6em;
  height: 0.6em;
}

.project__subheader {
  font-size: 1.875rem;
  font-weight: 500;
  margin-top: 1.5rem;
  line-height: 1.2;
}

.project__description {
  font-size: 1.3125rem;
  margin-top: 1rem;
  max-width: 33.75rem;
  line-height: 1.2;
}

.project__buttons {
  font-size: 1.125rem;
  margin-top: 1.5rem;
}

.project__cards {
  margin-bottom: 2.5rem;
  justify-self: start;
  display: flex;
  gap: 1.25rem;
  grid-area: cards;
}

.project--kz .project__cards {
  margin-left: 3.125rem;
}

.project__content-right .project__cards {
  margin-top: 5rem;
  margin-right: 2.5rem;
  margin-bottom: 2.5rem;
}

.project--pr .project__cards {
  justify-content: flex-end;
}

.project__card {
  flex: 0 0 auto;
  width: 15rem;
  height: 10.625rem;
  border-radius: 1.5rem;
  background-color: rgba(0, 0, 0, 0.3);

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  position: relative;
}

.project--pr .project__card {
  background-color: var(--page-bg-color);
  color: var(--brand-color);
}

.project__card-text {
  font-size: 0.8125rem;

  max-width: 100%;
  text-align: center;
  padding-inline: 1em;
}

.project__card-title {
  font-size: 2.625rem;
  font-weight: 700;
  line-height: 1;
  white-space: nowrap;
  margin-bottom: 0.5rem;
}

.project__card-title--smaller {
  font-size: 1.75rem;
}

.project__card-image--walk-map {
  width: 6.1875rem;
  height: 3.0625rem;
  margin-top: 0.75rem;
}

.project__image {
  grid-area: image;
  justify-self: end;
}

.project--kz {
  background-color: var(--brand-color-dark);
  background-image: linear-gradient(90deg, #04170c 0%, rgba(4, 23, 12, 0) 70%),
    url(/assets/kz-background-2k.webp);
  background-position-x: 70%;
  background-size: cover;

  grid-template-columns: 1fr;
  grid-template-areas:
    "content"
    "cards";
}

.project__image {
  width: 33.75rem;
  height: auto;
  border-bottom-left-radius: 2.5rem;
}

.project__card__top-icon {
  position: absolute;
  top: -1.25rem;
  left: 50%;
  transform: translateX(-50%);
  width: 3.75rem;
  height: 3.75rem;
}

@media (max-width: 50em) {
  .project {
    grid-template-columns: 1fr;
    grid-template-areas:
      "content"
      "cards"
      "image";
    gap: 0;
  }

  .project + .project {
    margin-top: 0;
  }

  .project__content {
    padding: 2.5rem 1.25rem;
  }

  .project__header {
    font-size: 1.5rem;
    gap: 1rem;
  }

  .project--pr .project__header {
    flex-direction: row;
    align-items: center;
  }

  .project__icon-box {
    font-size: 2.5rem;
  }

  .project__subheader {
    font-size: 1.125rem;
    margin-top: 1rem;
  }

  .project__description {
    font-size: 0.875rem;
    margin-top: 1rem;
    max-width: none;
  }

  .project__buttons {
    font-size: 1rem;
    margin-top: 1rem;
  }

  .project__buttons .btn {
    width: 100%;
    max-width: 25rem;
    text-align: center;
    padding-block: 1.25rem;
  }

  .project__cards {
    margin-inline: 1.25rem;
    margin-bottom: 1.5rem;
    gap: 0.75rem;
  }

  .project--kz .project__cards {
    margin-inline: 1.25rem;
    flex-direction: column;
  }

  .project__card {
    flex: 1;
    height: auto;
    width: auto;
    padding: 0.75rem;
    border-radius: 0.5rem;
    background-color: rgba(0, 0, 0, 0.4);
  }

  .project__card-text {
    font-size: 0.75rem;
  }

  .project__card-title {
    font-size: 1.125rem;
  }

  .project__card-title--smaller {
    font-size: 1.125rem;
  }

  .project__card-image--walk-map {
    width: 2.25rem;
    height: 1.25rem;
  }

  .project--kz {
    background-position-y: bottom;
    background-image: linear-gradient(
        180deg,
        var(--brand-color-dark) 0%,
        var(--brand-color-dark) 10%,
        transparent 100%
      ),
      url(/assets/kz-background-2k.webp);
    background-size:
      100% 66vw /* match the image aspect ratio */,
      contain;
    background-repeat: no-repeat;
  }

  .project__card__top-icon {
    width: 2rem;
    height: 2rem;
    top: -1rem;
  }

  .project__image {
    width: 100%;
    border-bottom-left-radius: 0;
  }
}

@media (max-width: 50em) {
  .news .slider__btns {
    display: none;
  }

  .news__list {
    flex-direction: column;
    gap: 1.5rem;
  }

  a.news__container {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 0.5rem;
  }

  .news__container h3 {
    font-size: 1.125rem;
  }

  .news__text {
    font-size: 1rem;
  }

  .news__image {
    flex: none;
    max-width: 25rem;
    margin-bottom: 0;
  }

  .news__item:nth-child(n + 4) {
    display: none;
  }

  /**
   * data-page="2" => show 3 + 5 items
   * data-page="3" => show 3 + 10 items
   * data-page="4" => show 3 + 15 items
   * and so on
   */
  .news__list[data-page="2"] .news__item:nth-child(-n + 8),
  .news__list[data-page="3"] .news__item:nth-child(-n + 13),
  .news__list[data-page="4"] .news__item:nth-child(-n + 18),
  .news__list[data-page="5"] .news__item:nth-child(-n + 23),
  .news__list[data-page="6"] .news__item:nth-child(-n + 28),
  .news__list[data-page="7"] .news__item:nth-child(-n + 33) {
    display: block;
  }

  .news__btns {
    display: flex;
    justify-content: center;
    color: var(--brand-color);
  }

  .news__show-more-btn {
    margin-block: 1.5rem;
  }

  .news__show-more-btn[hidden] {
    display: none;
  }
}

@media (max-width: 37.5em) {
  a.news__container {
    flex-direction: column;
    gap: 0.5rem;
  }

  .news__image {
    max-width: 25rem;
  }
}

.donate {
  padding: 3.125rem 5.625rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem 3.75rem;
}

.donate > * {
  flex: 1;
}

.donate__header {
  margin: 0;
  margin-top: 3.125rem;
  font-weight: 800;
  font-size: 3rem;
  line-height: 1;
}

.donate__description {
  font-size: 1.375rem;
  margin: 0;
  margin-top: 1em;
}

@media (max-width: 50em) {
  .donate {
    padding: 1.25rem;
    grid-template-columns: 1fr;
  }
}

@media (max-width: 50em) {
  .donate__header {
    margin-top: 0;
    font-size: 1.75rem;
  }

  .donate__description {
    font-size: 1rem;
  }
}

.contacts {
  display: flex;
  gap: 3.75rem;
  min-height: 26.25rem;
}

.contacts__header {
  margin: 0;
  line-height: 1;
}

.contacts__content {
  flex: 1;

  display: flex;
  flex-direction: column;
  gap: 1.875rem;
  font-size: 1.5rem;
}

.contacts__info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;

  font-weight: 700;
}

.contacts__phone {
  font-size: 1.875rem;
  padding-left: 2.8125rem;

  background-image: url("/assets/phone-call.svg");
  background-repeat: no-repeat;
  background-size: auto 45%;
  background-position: left top;

  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.contacts__map {
  flex: 1.5;
  border-radius: 1.25rem;
  overflow: hidden;
  position: relative;
}

.contacts__map-iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media (max-width: 50em) {
  .contacts {
    flex-direction: column;
    gap: 1.5rem;
    min-height: unset;
  }

  .contacts__content {
    font-size: 1rem;
    gap: 0.5rem;
  }

  .contacts__info {
    gap: 0.625rem;
  }
  .contacts__phone {
    font-size: inherit;
    background-size: auto 50%;
    padding-left: 1.875rem;
  }

  .contacts__map {
    flex: 1 0 25rem;
    border-radius: 1rem;
  }
}

.docs__slider {
  --shadow-padding: 1.25rem;
  --pic-ratio: calc(2 / 3);
}

.docs__card {
  display: flex;
  flex-direction: column;
  gap: 1.875rem;
  align-items: center;
  justify-content: space-between;

  aspect-ratio: 2/3;

  font-size: 1.375rem;
  text-align: center;
  font-weight: 500;

  background-color: var(--page-bg-color);
  border-radius: 1.875rem;
  padding: 2.5rem;
  padding-top: 3.125rem;
  color: var(--brand-color);

  box-shadow: 0 0.25rem 1.25rem 0 #0000001a;
}

.docs__show-btn {
  font-size: 1.125rem;
}

.docs__card-image {
  width: 5rem;
  height: 5rem;
}

.docs__card-text {
  flex: 1;
}

@media (max-width: 50em) {
  .docs__slider {
    max-width: 25rem;
    margin-inline: auto;
    --shadow-padding: 1rem;
    --items-count: 1;
    --gap-size: 2rem;
  }

  .docs__card {
    font-size: 1.25rem;
    box-shadow: 0 0.25rem 1rem 0 #0000001a;
  }

  .docs__card-image {
    width: 4.375rem;
    height: 4.375rem;
  }

  .docs__show-btn {
    font-size: 1rem;
    gap: 0.5rem;
  }
}

.requisites__header {
  display: flex;
  align-items: flex-end;
  gap: 1.5rem;
}

.requisites__btn {
  font-size: 1.125rem;
}

.requisites__list {
  display: flex;
  flex-direction: column;
  gap: 0.875rem;
  margin: 0;
  padding: 3.125rem;
}

.requisites__list > div {
  display: flex;
  gap: 0.75rem;
}

.requisites__list dt {
  font-weight: 700;
}
.requisites__list dd {
  margin: 0;
}

@media (max-width: 50em) {
  .requisites__header {
    gap: 1rem;
    align-items: center;
  }
  .requisites__btn {
    font-size: 1rem;
  }

  .requisites__list {
    padding: 0;
    box-shadow: none;
    border-radius: 0;
  }

  .requisites__list > div {
    flex-direction: column;
    gap: 0;
  }
}
